Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
tasks
/
{id}
Get instance task
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/tasks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "instance": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "task_type": "create_vps",
  "status": "pending",
  "result": "<unknown>",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "retry_count": 123,
  "created": "2023-11-07T05:31:56Z",
  "modified": "2023-11-07T05:31:56Z",
  "created_by": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "parameters": "<unknown>",
  "max_retries": 2147483647
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Instance Task.

organization_id
string<uuid>
required
project_id
string<uuid>
required

Response

200 - application/json
id
string<uuid>
required
read-only
instance_id
string<uuid>
required
read-only
instance
object
required
task_type
enum<string>
required
  • create_vps - Create Instance
  • delete_vps - Delete Instance
  • start_vps - Start Instance
  • stop_vps - Stop Instance
  • reboot_vps - Reboot Instance
  • shutdown_vps - Shutdown Instance
  • reset_vps - Reset Instance
  • resize_vps - Resize Instance
  • change_hostname - Change Hostname
  • reinstall_os - Reinstall OS
  • assign_ip - Assign IP
  • remove_ip - Remove IP
  • update_reverse_dns - Update Reverse DNS
  • update_vpc - Update VPC
  • apply_firewall - Apply Firewall Rules
  • create_snapshot - Create Snapshot
  • delete_snapshot - Delete Snapshot
  • restore_snapshot - Restore Snapshot
  • create_backup - Create Backup
  • delete_backup - Delete Backup
  • restore_backup - Restore Backup
  • create_image_from_snapshot - Create Image from Snapshot
  • delete_image - Delete Image
  • create_volume - Create Volume
  • attach_volume - Attach Volume
  • detach_volume - Detach Volume
  • resize_volume - Resize Volume
  • delete_volume - Delete Volume
  • install_software - Install Software
  • uninstall_software - Uninstall Software
  • get_vnc_url - Get VNC URL
  • sync_vps_state - Sync Instance State
  • apply_config - Apply Proxmox Configuration
Available options:
create_vps,
delete_vps,
start_vps,
stop_vps,
reboot_vps,
shutdown_vps,
reset_vps,
resize_vps,
change_hostname,
reinstall_os,
assign_ip,
remove_ip,
update_reverse_dns,
update_vpc,
apply_firewall,
create_snapshot,
delete_snapshot,
restore_snapshot,
create_backup,
delete_backup,
restore_backup,
create_image_from_snapshot,
delete_image,
create_volume,
attach_volume,
detach_volume,
resize_volume,
delete_volume,
install_software,
uninstall_software,
get_vnc_url,
sync_vps_state,
apply_config
status
enum<string>
required
read-only
  • pending - Pending
  • running - Running
  • completed - Completed
  • failed - Failed
  • cancelled - Cancelled
Available options:
pending,
running,
completed,
failed,
cancelled
result
any
required
read-only

Résultat de l'exécution

started_at
string<date-time> | null
required
read-only
completed_at
string<date-time> | null
required
read-only
retry_count
integer
required
read-only
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
created_by
object
required
parameters
any

Paramètres spécifiques à la tâche

max_retries
integer<int64>
Required range: 0 <= x <= 4294967295